%global dlrn_nvr 10.1.2-2.20220111230024.8b9b006
%global dlrn 1
%define upstream_version 10.1.2
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%define upstream_name puppet-rabbitmq

Name:           puppet-rabbitmq
Version: 10.1.2
Release: 2.20220111230024.8b9b006%{?dist}
Summary:        Installs, configures, and manages RabbitMQ.
License:        ASL 2.0

URL:            https://github.com/voxpupuli/puppet-rabbitmq

Source0: 10.1.2-2.20220111230024.8b9b006.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=8b9b006ec9ce4ea54c4e2e6f1a22e9ede4a69c4d

BuildArch:      noarch

Requires:       puppet-stdlib
Requires:       puppet-archive
Requires:       puppet >= 2.7.0

%description
Installs, configures, and manages RabbitMQ.

%prep
%autosetup -n %{upstream_name}-%{upstream_version} -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/rabbitmq/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/rabbitmq/



%files
%{_datadir}/openstack-puppet/modules/rabbitmq/


%changelog
* Tue Jan 11 2022 OSP Prod Chain <dev-null@redhat.com> 10.1.2-2.20220111230024.8b9b006
- Update patches

* Mon Jun 07 2021 CPaaS User <cpaas-ops@redhat.com> - 10.1.2-2.20210528110135.8b9b006.2
- Bump release

* Mon Jun 07 2021 CPaaS User <cpaas-ops@redhat.com> - 10.1.2-2.20210528110135.8b9b006.1
- Bump release

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 10.1.2-2.20210528110135.8b9b006
- Update patches

* Mon Mar 22 2021 OSP Prod Chain <dev-null@redhat.com> 10.1.2-1
- Update patches
- [chore] release 10.1.2
- remove invalid cluster_node_type 'disk'
- Ignore SELinux labels for systemd::service_limits
- [style] puppet-lint and rubocop updates
- modulesync 3.0.0
- [blacksmith] Bump version to 10.1.2-rc0
- [chore] release 10.1.1
- Escape double quotes in password during comparison
- Remove facter rabbitmq_nodename error message
- [blacksmith] Bump version to 10.1.1-rc0
- [chore] release 10.1.0
- Allow delivery-limit policy to be set
- modulesync 2.12.0-20-g804b440
- Don't use RABBITMQ_SERVER_ERL_ARGS
- Hide user password
- Hide erlang cookie content
- [fix] ownership and permissions on conf files
- [blacksmith] Bump version to 10.0.2-rc0
- [chore] release 10.0.1
- Fix issue #832 - removing federation upstream
- Use voxpupuli-acceptance
- Revert "rubocop: autofix"
- modulesync 2.12.0
- Fix env_config_path on FreeBSD
- modulesync 2.10.1
- delete legacy travis directory
- rubocop: autofix
- modulesync 2.10.0
- modulesync 2.9.0
- [blacksmith] Bump version to 10.0.1-rc0

* Wed Dec 16 2020 OSP Prod Chain <dev-null@redhat.com> 10.0.0-1
- Update patches

* Fri Oct 30 2020 OSP Prod Chain <dev-null@redhat.com> 10.0.0-1
- Update patches

* Mon Jul 20 2020 OSP Prod Chain <dev-null@redhat.com> 10.0.0-1
- Update patches

* Wed Jul 15 2020 OSP Prod Chain <dev-null@redhat.com> 10.0.0-1
- Update patches

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 10.0.0-1
- Update patches

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 9.1.0-1.9e74dedgit
- Update patches
- Update from voxpupuli modulesync_config
- Release 10.0.0
- drop Ubuntu 14.04 support
- Clean up acceptance spec helper
- Extend version regex to work for RabbitMQ 3.8.0
- Update the `ssl_ciphers` parameter to support the OpenSSL style Currently, this module only supports the old Erlang style, but RabbitMQ post-3.7.9 (rabbitmq/rabbitmq-server#1712) supports the OpenSSL style. This change allows the rabbitmq.config file to determine which style is being used, and apply that when defining SSL cipher suites

* Fri Feb 28 2020 OSP Prod Chain <dev-null@redhat.com> 9.1.0-1.75574b8git
- Update patches

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> 9.1.0-1.75574b8git
- Update patches

* Thu Oct 3 2019 RDO <dev@lists.rdoproject.org> 9.1.0-1.75574b8git
- Update to post 9.1.0 (75574b8f4a921cacda86ff30d378308084afa0d4)




